Description: from mnemonikk:

We hit a problem while upgrading from version 1.1.0 to 2.1.1.

The migration MergeWikiVersionsWithdournals caused an exception because the attribute "changes" was
passed as a string, already serialized to YAML, while ActiveRecord was expecting a hash.

I think this should be fixed by removing .to_yaml from line 33 in
db/migrate/20100804112053_merge_wiki_versions_with_journals.rb.

History

2011-08-08 03:42 pm - Aleksey Zapparov
| believe you met same problem as | did #554, running Ruby 1.9.2. Use Ruby 1.8.7 on migration. The problem is that 1.x branch was not supposed to
work with Ruby 1.9.2

2011-08-08 03:58 pm - pille palle
Aleksey Zapparov wrote:
> | believe you met same problem as | did #554, running Ruby 1.9.2. Use Ruby 1.8.7 on migration.

i doubt that. i'm running:
<pre>
ruby 1.8.7 (2011-02-18 patchlevel 334) [x86_64-linux], MBARI 0x6770, Ruby Enterprise Edition 2011.03

</pre>

it may be a model-change somewhere inbetween listed chiliproject versions.

2011-09-04 09:07 pm - Holger Just
- Status changed from Open to Needs more information

| could not observed your described behavior. If you still observer this issue, please provide examples of your data which show the wrong behavior.

2011-09-07 02:15 pm - A Samz

For what it's worth | experienced the same problem. We upgrade from Redmine 1.1.2 to ChiliProject 1.5.2 (We did this because the DB migration failed
for the later versions.) Trying to upgrade ChiliProject from 1.5.2 to 2.X.X caused the db migration to fail with an output as seen in issue #554. This is
preventing us from using ChiliProject.

2011-09-07 02:59 pm - pille palle

as we solved the problem, we don't observe it anymore.

others may still be hit by this one.

i'd like to add that our instance was migrated from redmine to chiliproject-1.1.0 in the past.

if you're interested in any particular data, please let me know. our whole dump is about 85M and i don't like to disclose it completely.
2011-09-07 04:03 pm - A Samz

pille palle wrote:

> as we solved the problem, we don't observe it anymore.
Can you say what you did to get around, or fix, the issue?

2011-09-07 05:02 pm - pille palle

from the original description:

"this should be fixed by removing .to_yaml from line 33 in
db/migrate/20100804112053_merge_wiki_versions_with_journals.rb"
